Copyright: NC Version 1.0
Citation: NetControl


NetControl

Welcome to Help! To find topics in this Help, click Contents, Index or Search.

NetControl is a tool that helps you to control a network.

You can create your maps, save, reload and edit them.

Each of the available components can be inserted on your screen.

The RUN-mode checks all components in a time interval which you can define.

The result of the check will be shown by the Status on the object.


Toolbar

The Toolbar allows you to select several buttons.

To find out more about a toolbutton select a specific link below.

Workstation	Circle
Server	Line
Host	Selector
Router	Start
Hub	Stop
Bridge	Ping
Printer	EventViewer


Toolbutton Workstation
Toolbutton Workstation  Toolbar

Click this button to get a workstation-component.

If the button is activated, you will be able to paste this component in the paintbox at the current cursor-position.

After you clicked in the paintbox, you will be promted with the dialogbox for the component-attributes.

To edit the component, first click the select-button, then doubleclick on the component which you will edit. That will display the dialogbox, where you can edit the current attributes.


Toolbutton Server
Toolbutton Server  Toolbar

Click this button to get a server-component.

If the button is activated, you will be able to paste this component in the paintbox at the current cursor-position.

After you clicked in the paintbox, you will be promted with the dialogbox for the component-attributes.

To edit the component, first click on the select-button, then doubleclick on the component which you will edit. That will display the dialogbox, where you can edit the current attributes.


Toolbutton Host
Toolbutton Host  Toolbar

Click this button to get a host-component.

If the button is activated, you will be able to paste this component in the paintbox at the current cursor-position.

After you clicked in the paintbox, you will be promted with the dialogbox for the component-attributes.

To edit the component, first click on the select-button, then dobleclick on the component which you will edit, this displays you the dialogbox, where you can edit the current attributes.


Toolbutton Router
Toolbutton Router  Toolbar

Click this button to get a router-component.

If the button is activated, you will be able to paste this component in the paintbox at the current cursor-position.

After you clicked in the paintbox, you will be promted with the dialogbox for the component-attributes.

To edit the component, first click on the select-button, then doubleclick on the component which you will edit. That will display the dialogbox, where you can edit the current attributes.


Toolbutton Hub
Toolbutton Hub  Toolbar

Click this button to get a hub-component.

If the button is activated, you will be able to paste this component in the paintbox at the current cursor-position.

After you clicked in the paintbox, you will be promted with the dialogbox for the component-attributes.

To edit the component, first click on the select-button, then doubleclick on the component which you will edit. That will display you the dialogbox, where you can edit the current attributes.


Toolbutton Bridge
Toolbutton Bridge  Toolbar

Click this button to get a bridge-component.

If the button is activated, you will be able to paste this component in the paintbox at the current cursor-position.

After you clicked in the paintbox, you will be promted with the dialogbox for the component-attributes.

To edit the component, first click on the select-button, then doubleclick on the component which you will edit. That will display the dialogbox, where you can edit the current attributes.


Toolbutton Printer
Toolbutton Printer  Toolbar

Click this button to get a printer-component.

If the button is activated, you will be able to paste this component in the paintbox at the current cursor-position.

After you clicked in the paintbox, you will be promted with the dialogbox for the component-attributes.

To edit the component, first click on the select-button, then doubleclick on the component which you will edit. That will display the dialogbox, where you can edit the current attributes.


Toolbutton Circle
Toolbutton Circle  Toolbar

Click this button to draw a circle.

If the button is activated, the first click defines the right-upper point of the rectancle surrounding your circle, the second click defines the right-lower point.

To edit the circle in the position or the dimension, first click the select-button, then click the circle which you will edit, now you can drag the circle until it will be in the right position and dimension.


Toolbutton Line
Toolbutton Line  Toolbar

Click this button to draw a line.

If the button is activated, the first click defines the starting point of the line, the second click defines the end point.

To edit the line in the position or the dimension, first click the select-button, then click the line which you will edit. Now you can drag the line until it will be in the right position and dimension.


Toolbutton Selector
Toolbutton Selector  Toolbar

Click this button to select an object.

If the button is activated, select an object with a click.

Note: Hold down the Shift-key to select several objects.

Doubleclick a component for editing.

Drag a line or a circle to modify.


Toolbutton Start
Toolbutton Start  Toolbar

Click this button to change in the RUN-mode. This will start the process, which will check all components permanently.

To edit the ping-attributes which are used to execute this process, choose Edit->Preferences.

The check-results for each single component can be viewed when you click the EventViewer-button.


Toolbutton Stop
Toolbutton Stop  Toolbar

Click this button to change in the EDIT-mode. This will stop the process, which is checking all components permanently.

In EDIT-mode you are still able to check your components by using the Ping-Toolbutton which executes a single ping for each component.


Toolbutton Ping
Toolbutton Ping  Toolbar

Click this button to execute a single ping, which will check all components only once.

To edit the ping-attributes which are used to execute this process, choose Edit->Preferences.

The check-results for each single component can be viewed when you click the EventViewer-button.


Toolbutton Info
Toolbutton EventViewer  Toolbar

Click this button to show/hide the frame which displays the results of the pings.

If the Event-frame is hidden, click to show it.

If the Event-frame is visible, click to hide it.


Edit Component
Edit Component  Preferences

This property box appear, when you doubleclick on a selected component.

Since only selected components can be edited, use the selector-button and click a component to select it.

Enter the appropriate values or edit them, then click Ok.

Field Name	Description
Display Name	The Name of the component: Used to display on the screen.
Address / Name	The Address or Name: Either the IP address or the full domain name.
Info	The Info: Additional information to the component.
Monitor	The Monitor: Decision if the Component should be controlled or not. If the MonitorCheckbox is set, the status of the component will be green, yellow or red. If the MonitorCheckbox is not set, the status will be black.


Preferences
Preferences  Edit Component

This box appears when you choose Edit->Preferences

Edit values as needed, then click the Ok button.

These attributes will be valid for all components on your screen.

Field Name	Description
Time Interval	The Time Interval: Time between the checks in seconds.
	Default:	60
	Range:	10 - 3600
Time To Live	The Time To Live: Maximum number of IP routers that the packet can go through before being thrown away.
	Default:	64
	Range:	1 - 250
Paket Size	The Paket Size: Specifies the number of data bytes to be sent.
	Default:	56
	Range:	0 - 65000
Timeout	The Timeout: Maximum delay until a timeout occurs in seconds.
	Default:	2000
	Range:	0 - 60000
Sound	The Sound: Decision if the sound is on or off.
	Default:	set
	Range:	set or clear


Status
Status  Edit Component

If the component-checkbox Monitor is set, each component will be ckecked if you select either Start or Ping.

As a result of the check the STATUS will be displayed in the upper left angle of the component.

Dependent on the check-result it will shine green, yellow or red. When the component is not checked, the status will not be displayed.

To edit the ping-attributes which are used to execute this process, choose Edit->Preferences.

Status	Description
green	Green: The connection is faster then 10ms
yellow	Yellow: The connection is lower then 10ms
red	Red: The target could not be reached.


Menu
Menu Toolbar

Use the menu to perform tasks like load, save, print. To learn more about a single taske look at the following table.

Menu	Description
File - New	Displays a new blank screen where you can draw your maps.
File - Open ...	Opens an existing file with the extension *.ncc.
File - Save As ...	Saves the current file.
File Print	Prints the current file. The print will be proportional to the current screen.
Edit - Delete	Deletes the selected object.
Edit - Copy	Copies the current file to the clipboard for the use in another tool.
Edit - Preferences	Opens the propertybox for editing the ping-attributes.
View - Refresh	Refreshs the current screen.